Bug 108415 - Make atd a PIE
Make atd a PIE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: at (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-29 02:20 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.1.8-48
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 02:47:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Minimal patch to build as PIE (500 bytes, patch)
2003-10-29 02:20 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2003-10-29 02:20:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031028
Firebird/0.7+

Description of problem:
atd is long running and it allows user controlling it.  A good candidate for
PIEs.  I'll attach a patch.

Version-Release number of selected component (if applicable):
at-3.1.8-46.1

How reproducible:
Always

Steps to Reproduce:
1.readelf -h /usr/sbin/atd|fgrep Type
2.
3.
    

Actual Results:    Type:                              EXEC (Executable file)


Expected Results:    Type:                              DYN (Shared object file)


Additional info:
Comment 1 Ulrich Drepper 2003-10-29 02:20:48 EST
Created attachment 95565 [details]
Minimal patch to build as PIE
Comment 2 Jens Petersen 2003-11-07 08:05:18 EST
Should be in 3.1.8-48.  Thanks.
Comment 3 Ulrich Drepper 2003-11-12 02:47:10 EST
Verfied.
Comment 4 John Flanagan 2004-05-11 23:50:43 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-132.html
Comment 5 John Flanagan 2004-12-21 16:20:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-593.html

Note You need to log in before you can comment on or make changes to this bug.